# -*- coding: utf-8 -*-
"""
Created on Fri Sep  2 09:50:52 2022

@author: User
"""
import numpy as np
import matplotlib.pyplot as plt

fichier=open("mesures.csv","r")
tab=fichier.readlines()
print(tab)

T=np.zeros(len(tab)-1)
P=np.zeros(len(tab)-1)
for i in range(1,len(tab)):
    ligne=tab[i]
    ligne=ligne.split(";")
    T[i-1]=float(ligne[0])
    P[i-1]=float(ligne[1])

print(T,P)
N=1000
tab_a=np.zeros(N)
tab_b=np.zeros(N)
for i in range(N):
    u_P=10
    P_new=np.random.normal(P,u_P)
    a,b=np.polyfit(T,P_new,1)
    tab_a[i]=a
    tab_b[i]=b
a_moy=np.mean(tab_a)
u_a=np.std(tab_a)
b_moy=np.mean(tab_b)
u_b=np.std(tab_b)
plt.plot(T,P,'o',label="valeurs exp")
plt.errorbar(T,P,linestyle=" ",yerr=np.ones(len(P))*10)
plt.plot(T,a_moy*T+b_moy,label="fit : P={0:1f}T+{1:1f}".format(a_moy,b_moy))
plt.legend()
plt.grid()
plt.xlabel("T°C")
plt.ylabel("P(hPa)")
plt.show()
